Subject: [Tsvwg] Re: 2.5 in SCTP Implem. guide

From: Randall Stewart at work <[email-masked]>
Date: Tue, 24 Jul 2001 13:03:19 -0500

"D. Renee Revis" wrote:
> 
> Randy,
> 
> Another question, this time on the SCTP Implementor's guide (obviously I'm
> getting a few cycles to catch up on these drafts :-).  Note that I'm
> specifically not sending this to the list since I haven't been monitoring
> this very closely as of late.  I'm not even sure if I'm remembering this
> right, so I didn't want to take everyone's time on the list.  In any case...
> 
> I'm looking at 2.5 Stream Parameter Clarification.  I initially thought
> this was referring to the issue that came up at the bakeoff I was at, but
> it doesn't seem to be the same.  The issue as I remember it was one
> endpoint advertising the max inbound streams it could handle, and the peer
> responding requesting more than this.  The initial endpoint has already
> said it can't handle any more streams, so the responding peer shouldn't ask
> for more than it already knows it can have.  i.e., I tell you I can only
> handle 5 and you request 10 in response.  Thus, the OS in the INIT_ACK
> shouldn't be greater than the MIS in the INIT.
> 
> The issue raised in the Implementor's guide is different.  It says that if
> the initial endpoint says it wants x outbound streams, the peer shouldn't
> advertise any more streams than this in its MIS parameter.  But why should
> that matter?  If you tell me you want 5 and I say I can handle 10, that
> should be no problem, right?  This says the MIS in the INIT_ACK shouldn't
> be greater than the OS in the INIT.  I don't think this matters, but I
> think the previous issue does matter.  Am I remembering this right?
> 

I took this from Lyndon or copied it wrong... one of the two.. but
you are right... I have it backwards...

Again I am copying the list to highlight the bug in the spec :)

R

> Renee

-- 
Randall R. Stewart
Systems & Solutions Engineering
Cisco Systems Inc.
[email-masked] 815-342-5222 or 815-477-2127

_______________________________________________
tsvwg mailing list
[email-masked]
http://www1.ietf.org/mailman/listinfo/tsvwg